Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F147429242
D21292.1783347928.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Size
3 KB
Referenced Files
None
Subscribers
None
D21292.1783347928.diff
View Options
Index: head/etc/mtree/BSD.tests.dist
===================================================================
--- head/etc/mtree/BSD.tests.dist
+++ head/etc/mtree/BSD.tests.dist
@@ -442,6 +442,8 @@
..
ping
..
+ ping6
+ ..
..
secure
lib
Index: head/sbin/ping6/Makefile
===================================================================
--- head/sbin/ping6/Makefile
+++ head/sbin/ping6/Makefile
@@ -21,4 +21,7 @@
CFLAGS+=-DWITH_CASPER
.endif
+HAS_TESTS=
+SUBDIR.${MK_TESTS}+= tests
+
.include <bsd.prog.mk>
Index: head/sbin/ping6/tests/Makefile
===================================================================
--- head/sbin/ping6/tests/Makefile
+++ head/sbin/ping6/tests/Makefile
@@ -0,0 +1,8 @@
+# $FreeBSD$
+
+PACKAGE= tests
+
+ATF_TESTS_SH+= ping6_test
+${PACKAGE}FILES+= ping6_c1_s8_X1.out
+
+.include <bsd.test.mk>
Index: head/sbin/ping6/tests/ping6_c1_s8_X1.out
===================================================================
--- head/sbin/ping6/tests/ping6_c1_s8_X1.out
+++ head/sbin/ping6/tests/ping6_c1_s8_X1.out
@@ -0,0 +1,6 @@
+PING6(56=40+8+8 bytes) ::1 --> ::1
+16 bytes from ::1, icmp_seq=0 hlim= time= ms
+
+--- localhost ping6 statistics ---
+1 packets transmitted, 1 packets received, 0.0% packet loss
+round-trip min/avg/max/std-dev = /// ms
Index: head/sbin/ping6/tests/ping6_test.sh
===================================================================
--- head/sbin/ping6/tests/ping6_test.sh
+++ head/sbin/ping6/tests/ping6_test.sh
@@ -0,0 +1,53 @@
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (C) 2019 Jan Sucan <jansucan@FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+
+atf_test_case ping6_c1_s8_X1
+ping6_c1_s8_X1_head() {
+ atf_set "descr" "Stop after receiving 1 ECHO_RESPONSE packet"
+}
+ping6_c1_s8_X1_body() {
+ if ! getaddrinfo -f inet6 localhost 1>/dev/null 2>&1; then
+ atf_skip "IPv6 is not configured"
+ fi
+ atf_check -s exit:0 -o save:std.out -e empty \
+ ping6 -c 1 -s 8 -X 1 localhost
+ check_ping_statistics std.out $(atf_get_srcdir)/ping6_c1_s8_X1.out
+}
+
+atf_init_test_cases() {
+ atf_add_test_case ping6_c1_s8_X1
+}
+
+check_ping_statistics() {
+ sed -e 's/0.[0-9]\{3\}//g' \
+ -e 's/[1-9][0-9]*.[0-9]\{3\}//g' \
+ -e 's/hlim=[0-9][0-9]*/hlim=/' \
+ "$1" >"$1".filtered
+ atf_check -s exit:0 diff -u "$1".filtered "$2"
+}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Mon, Jul 6, 2:25 PM (1 h, 55 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29019852
Default Alt Text
D21292.1783347928.diff (3 KB)
Attached To
Mode
D21292: ping6: add a basic test of ping6's functionality
Attached
Detach File
Event Timeline
Log In to Comment